Subject: Re: linux-next: Tree for May 3

From: <[email-masked]>
Date: Tue, 10 May 2022 11:20:23 +0000

On 09/05/2022 15:38, Conor Dooley wrote:
> On 09/05/2022 15:11, Christoph Hellwig wrote:
>> EXTERNAL EMAIL: Do not click links or open attachments unless you know the content is safe
>>
>> On Mon, May 09, 2022 at 01:33:07PM +0000, [email-masked] wrote:
>>> @Christoph, I know /nothing/ about swiotlb, so if you have any
>>> suggestions for debugging that you would like me to try, let me
>>> know please.
>>
>> Hi Conor,
>>
>> sorry for dropping this on the flor.  I was at LSF/MM least week and
>> my plan to go through my backlog today didn't go to plan as I unepectedly
>> spent half the day at doctors appointments.
> 
> Ye, no worries. Such is life.
> 
>> The commit looks like a somewhat unusual culprit for a boot failure,
>> so any chance you could do another manual verifiation pass where
>> you checkout 6424e31b1c05 and then the commit before it (i.e. as
>> git checkout 6424e31b1c05^) to make sure it really is this commits?
> 
> I reverted that commit & that was sufficient to boot again. I'll give
> that a go, but it might be tomorrow morning before I get there.

Hey Christoph,
Sory for the delay - I've been trying to kick the earlycon into working
but something w/ bootloader/firmware is not playing ball.

git checkout 6424e31b1c05
Previous HEAD position was c5eb0a61238d Linux 5.18-rc6
HEAD is now at 6424e31b1c05 swiotlb: remove swiotlb_init_with_tbl and swiotlb_init_late_with_tbl
git checkout 6424e31b1c05^
Previous HEAD position was 6424e31b1c05 swiotlb: remove swiotlb_init_with_tbl and swiotlb_init_late_with_tbl
HEAD is now at 3f70356edf56 swiotlb: merge swiotlb-xen initialization into swiotlb

3f70356edf56 boots fine. 6424e31b1c05 does not boot.

> 
>> Some of the commits around it just seems like more likely culprits to
>> me, so I'd like to really be 100% sure here.  In the meantime I'll
>> look through the patch.
> 
> Sure, I can have a poke around the commits in that area some more.
> 
>> Also you don't happen to have earlycon support
>> on this plaform to see if there are any interesting messages on the
>> serial console?
> 
> Aye, I should've done that in the beginning... I'll let you know.

As I said, earlycon isn't playing ball rn, but I will keep kicking it
& will let you know once it does..

Thanks,
Conor.